Snips-skill-server not-found

Dear team,
I do a fresh install based on Ubuntu Mate ( Raspberry Pi) all seems Ok : means Sam connection to my Raspberry Pi works fine - Audio tests Ok.
But when I do an assistant installation this one is not finished I get this error : Error: Failed to stop snips-skill-server.service: Unit snips-skill-server.service not loaded.
After Installing snips-template and snips-skill-server step.
I cannot install snips-skill-server : I tried sam install actions without success I tried to install it through apt-get install snips-skill-server but not found.
Let me know if it is an Ubuntu limitation or another way to install/start this service.
Thanks in advance.

I have the same problem on my virtual machine based on Debian 9.

I hope we’ll find a solution.

Hello Hydro,
Unfortunately not - I was in same direction of you, means check repository source and update it.
But without success I still have as blocking point : Unit snips-skill-server.service not loaded
And no way to install it - I fear that rasbian is mandatory
Strange for you it should be ok.

No on Debian 9 it doesn’t work.

If I try apt-get install snips-skill-server, I have

Les paquets suivants contiennent des dépendances non satisfaites :
snips-skill-server : Dépend: snips-platform-common (< 0.59.2) mais 0.60.1 devra être installé
snips-template : Dépend: snips-platform-common (< 0.59.2) mais 0.60.1 devra être installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l’état ».

I tried to reinstall snips-platform-common but already installed with version 0.60.1

Someone from snips can tell us if it’s possible to install snips on different system ??

It’s weird, I already saw people install it on virtual machine :frowning:

Hi Hydro,
I started again from a Rasbian fresh install and it works.
My app is not finished… but without problem to install snips.
Next week I will be in “Make Faire” Paris and I will ask to Snips team a solution about current issue.

Kind regards,

Hi
I found a solution in my topic :
Install on debian 9 VM

I don’t know if it’s the same for unbutu.

@strapp sam is tailored to work with raspbian, debian and is automatically inferring the repository url … if you have a look at the repository configured for apt you will find the mismatch :

/etc/apt/sources.list.d/snips.list

for your case , in the installation step you want to replace

sudo bash -c 'echo "deb https://raspbian.snips.ai/$(lsb_release -cs) stable main" > /etc/apt/sources.list.d/snips.list'
sudo bash -c 'echo "deb https://raspbian.snips.ai/stretch stable main" > /etc/apt/sources.list.d/snips.list'

you can also directly install the deb package for the snips-skill-server …

https://s3.amazonaws.com/raspbian.snips.ai/stretch/pool/s/sn/snips-skill-server_0.60.1_armhf.deb

I have the same problem with fresh Raspbian. What to do?